Bug 1283120 - lo_cpp.h header contains out of class definitions
lo_cpp.h header contains out of class definitions
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: liblo (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 05:18 EST by Felix Homann
Modified: 2017-09-04 02:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Homann 2015-11-18 05:18:38 EST
(Named this after the upstream bug report)

The lo_cpp.h shipped in the Fedora package contains out of class definitions that should be inlined. The bug has been fixed upstream in August, see the discussion here:

https://github.com/radarsat1/liblo/issues/23

Version-Release number of selected component (if applicable):

0.28, Release 1.fc23
Comment 1 Fedora End Of Life 2016-11-24 08:32:37 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Felix Homann 2016-11-25 04:00:57 EST
This is still not fixed in Fedora 24.
Comment 3 Fedora End Of Life 2017-07-25 15:31:04 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Felix Homann 2017-07-31 16:34:51 EDT
I reported this issue almost 2 years ago. Upstream fixed it more than 2 years ago [1]. Why does it not get fixed?

[1] https://github.com/radarsat1/liblo/commit/3713b9944cceeae04d87cfd251e50fe175021945
Comment 5 Felix Homann 2017-08-11 12:55:00 EDT
Version 0.29 of liblo has been released today. So would you please package the new version? It includes the fixes for the out of class definitions.

See here:

https://github.com/radarsat1/liblo/releases/tag/0.29
Comment 6 Felix Homann 2017-08-31 03:21:55 EDT
Just to make it perfectly clear: The C++ interface of liblo as packaged for Fedora is broken! It is broken for more than 2 years!

Shipping those broken headers is not only completely useless but also leads to unexpected behaviour of liblo. It is totally irresponsible to keep shipping those headers! It is even more irresponsible to ship them while the fix is so simple and upstream fixed it more than 2 years ago. 

If you don't want to package the new version of liblo for whatever reason you have, please, at least backport the fix for this issue.
Comment 7 Brendan Jones 2017-08-31 03:44:54 EDT
The severity of this issue hardly justifies your tone. These functions should be inlined anyway.

FYI IPV6 support is broken in 0.29 and will need to be addressed before updating. I will address it when I can. Other wise feel free to take on the responsibility yourself. I welcome comaintainers
Comment 8 Brendan Jones 2017-08-31 04:54:18 EDT
I have backported the fix in rawhide
Comment 9 Felix Homann 2017-08-31 05:36:48 EDT
Sorry, Brendan, but IMHO the severity of this issue hardly justified your 2 years of complete silence, either ;-)

I'm very happy I finally got a response from you and I'm even more happy that you finally backported the fix!


Thank you,
Felix
Comment 10 Fedora Update System 2017-09-03 06:06:27 EDT
liblo-0.28-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e7f40a5aa
Comment 11 Fedora Update System 2017-09-03 06:06:34 EDT
liblo-0.28-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-863f93f24c
Comment 12 Fedora Update System 2017-09-03 15:56:13 EDT
liblo-0.28-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-863f93f24c
Comment 13 Fedora Update System 2017-09-04 02:51:49 EDT
liblo-0.28-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e7f40a5aa

Note You need to log in before you can comment on or make changes to this bug.